#pragma once

#include "CustomPlotLib/qcustomplot.h"

class Well;
class Curve;

class PlotterWidget : public QCustomPlot
{
    Q_OBJECT

public:
    explicit PlotterWidget(QWidget * parent = nullptr);

    void setAzimuthVS(double azimuthRad);

    /// Рисование траектории
    void drawTrajectory(const Well & well);
    void drawCurveTrajectory(const Curve & curve);
    /// Изменение сетки по размеру траектории
    void scaleByTrajectory(const Well & well);

private:
    QCPCurve * mTrajectoryCurve = nullptr;

    double mAzimuthRad = 0.0;
};
