#pragma once

#include <memory>

class QString;

struct TrajectoryPoint;
class Well;
class Curve;

namespace Utils
{

double degreeToRadians(double degree);

std::unique_ptr<Well> parseJson(const QString & json);
std::unique_ptr<Curve> parseLogJson(const QString & json);

/// Расчёт мировых координат траектории по методу минимальной кривизны
void calculateTrajectory(Well & well);
void calculateCurveTrajectory(Curve & curve, Well & well);
/// Расчёт проекции траектории на вертикальную плоскость разреза с углом azimuthRad
void calculateVerticalSectionProjection(Well & well, double azimuthRad);
void calculateVerticalSectionCurveProjection(Curve & curve, double azimuthRad);

}

